BUILDMETARDB(1)

NAME
buildMetarDB - build databases for METAR stations

SYNOPSIS
buildMetarDB -l|-a [options]

DESCRIPTION
This script downloads, saves and processes the textfiles needed for building the databases to enable searching for METAR stations.

You can download the locations, which is a database of about 12000 world-wide locations, which can be used to determine the coordinates of your city or you can download a file with 6500 airports providing the metar data. This database is used for the next-METAR-station search. Please see the appropriate documentation in the Services_Weather_Metar class.

OPTIONS

-l  build locationsDB

-a  build airportsDB

-f <file>
    use <file> as input

-s  save downloaded file to disk

-t <dbtype>
    type of the DB to be used

-r <dbprotocol> protocol of the DB to be used

-d <dbname>
    name of the DB to be used

-u <dbuser>
    user of the DB to be used

-p <dbpass>
    pass of the DB to be used

-h <dbhost>
    host of the DB to be used

-o <dboptions>
    options of the DB to be used in the notation option=value,...

-v  display verbose debugging messages multiple -v increases verbosity